# grapho - documentation compiler

I write documentation in markdown.
Many people don't like to read markdown.
`md2html` converts markdown into an HTML page which i can publish directly.
`md2tex` converts marktown into a TEX document, which i compile into a professional-academia-looking PDF using `pdflatex`.

## Usage

The input markdown goes into stdin.
The output document comes out of stdout.

Examples:

```
md2html < README.md > README.html
firefox README.html

md2tex < README.md > README.tex
pdflatex README.tex
```

If the awk option `stylesheet` is given, the HTML document can made prettier with external CSS.

```
md2html -v stylesheet='/style.css' < README.md
```

## Supported constructs

- Headlines up to level 6
- Paragraphs
- Bold, italic and inline monospace
- Image figures if they are in the same folder
- Code listings
- URL references
- Lists

## Not supported

- Tables
- Images from an url
- Images inline in text
- Unicode characters (im german, maybe i will add at least umlaut support)
